Skip to navigation

Get Fleet

Get detailed information about a specific fleet.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

fleet_idstringRequiredformat: "uuid"

Response

Successful Response
namestring
fleet_refstring
An optional reference for the fleet. Used to store an external identifier for the fleet in your system.
idstringformat: "uuid"
Unique Catena fleet identifier
created_atdatetime
When the fleet was created
updated_atdatetime
Last modification timestamp
descriptionstring or nullOptional
A description of the fleet
display_namestring or nullOptional
legal_namestring or nullOptional
dba_namestring or nullOptional
websiteslist of strings or nullOptional
List of websites associated with the fleet. The website is used to map users to an organization based on their email domain and to authenticate them accordingly in the scope of the organization.
invitation_idstring or nullOptionalformat: "uuid"
ID of the invitation that was used to onboard the fleet
regulatory_idstring or nullOptional

Primary identifier from a regulatory body for a fleet (like DOT Number).

regulatory_id_typestring or nullOptional
Type of the regulatory ID like DOT, EASA, etc.
regulatory_id_datedate or nullOptional
Date when the regulatory ID was issued.
regulatory_id_statusstring or nullOptional
Status of the regulatory ID.
registered_emailstring or nullOptionalformat: "email"
Email address that is registered for the fleet.
registered_phonestring or nullOptionalformat: "phone"
Phone number that is registered for the fleet.
registered_faxstring or nullOptionalformat: "phone"
Fax number that is registered for the fleet.
addressstring or nullOptional
Physical address that is registered for the fleet.
citystring or nullOptional
City that is registered for the fleet.
provincestring or nullOptional
Province that is registered for the fleet.
postal_codestring or nullOptional
Postal code that is registered for the fleet.
country_codestring or nullOptionalformat: "^\w{3}$"

ISO-3 Country code that is registered for the fleet.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
405
Method Not Allowed Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error